Package org.apache.jorphan.reflect

# Class CollectServiceLoadExceptionHandler<S>

java.lang.Object
org.apache.jorphan.reflect.CollectServiceLoadExceptionHandler<S>

Type Parameters:
  `S` - the service type

All Implemented Interfaces:
  `ServiceLoadExceptionHandler<S>`

public class CollectServiceLoadExceptionHandler<S> extends Object implements ServiceLoadExceptionHandler<S>
Collects all the failures in a collection.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CollectServiceLoadExceptionHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `handle(Class<? extends S> service, String className, Throwable throwable)`
  `Collection<ServiceLoadFailure<S>>`
  `toCollection()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CollectServiceLoadExceptionHandler

    public CollectServiceLoadExceptionHandler()

- ## Method Details

  - ### handle

    public void handle(Class<? extends S> service, String className, Throwable throwable)
    Specified by:
      `handle` in interface `ServiceLoadExceptionHandler<S>`

  - ### toCollection

    public Collection<ServiceLoadFailure<S>> toCollection()